# ApplicationFramework
TKCAF
TPrsStd

# TPrsStd_AISViewer Class Reference

The groundwork to define an interactive viewer attribute.
This attribute stores an interactive context at the root label.
You can only have one instance of this class per data framework.
.

`#include <TPrsStd_AISViewer.hxx>`

Inheritance diagram for TPrsStd_AISViewer:

[legend]

## Public Member Functions

Standard_EXPORT | TPrsStd_AISViewer ()
Standard_EXPORT void | Update () const
| Updates the viewer at the label access. access is the root of the data framework. .
Standard_EXPORT void | SetInteractiveContext (const Handle(AIS_InteractiveContext)&ctx)
| Sets the interactive context ctx for this attribute. .
Standard_EXPORT Handle_AIS_InteractiveContext | GetInteractiveContext () const
| Returns the interactive context in this attribute. .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods =============
static Standard_EXPORT Standard_Boolean | Has (const TDF_Label &acces)
| returns True if there is an AISViewer attribute in <acces> Data Framework.
static Standard_EXPORT Handle_TPrsStd_AISViewer | New (const TDF_Label &access, const Handle(AIS_InteractiveContext)&selector)
| create and set an AISViewer at. Raise an exception if Has.
static Standard_EXPORT Handle_TPrsStd_AISViewer | New (const TDF_Label &acces, const Handle(V3d_Viewer)&viewer)
| create and set an AISAttribute at root label. The interactive context is build. Raise an exception if Has.
static Standard_EXPORT Standard_Boolean | Find (const TDF_Label &acces, Handle(TPrsStd_AISViewer)&A)
| Finds the viewer attribute at the label access, the root of the data framework. Calling this function can be used to initialize an AIS viewer .
static Standard_EXPORT Standard_Boolean | Find (const TDF_Label &acces, Handle(AIS_InteractiveContext)&IC)
static Standard_EXPORT Standard_Boolean | Find (const TDF_Label &acces, Handle(V3d_Viewer)&V)
static Standard_EXPORT void | Update (const TDF_Label &acces)
| AISViewer methods ================= .

## Private Attributes

Handle_AIS_InteractiveContext | myInteractiveContext

## Constructor & Destructor Documentation

Standard_EXPORT TPrsStd_AISViewer::TPrsStd_AISViewer | ( |  | ) |

## Member Function Documentation

static Standard_EXPORT Standard_Boolean TPrsStd_AISViewer::Find | ( | const TDF_Label & | acces,
|  | Handle(V3d_Viewer)& | V
| ) | `[static]`

static Standard_EXPORT Standard_Boolean TPrsStd_AISViewer::Find | ( | const TDF_Label & | acces,
|  | Handle(AIS_InteractiveContext)& | IC
| ) | `[static]`

static Standard_EXPORT Standard_Boolean TPrsStd_AISViewer::Find | ( | const TDF_Label & | acces,
|  | Handle(TPrsStd_AISViewer)& | A
| ) | `[static]`

static Standard_EXPORT const Standard_GUID& TPrsStd_AISViewer::GetID | ( |  | ) | `[static]`

Standard_EXPORT Handle_AIS_InteractiveContext TPrsStd_AISViewer::GetInteractiveContext | ( |  | ) | const

Standard_EXPORT const TPrsStd_AISViewer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

static Standard_EXPORT Standard_Boolean TPrsStd_AISViewer::Has | ( | const TDF_Label & | acces | ) | `[static]`

Standard_EXPORT const Standard_GUID& TPrsStd_AISViewer::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TPrsStd_AISViewer TPrsStd_AISViewer::New | ( | const TDF_Label & | acces,
|  | const Handle(V3d_Viewer)& | viewer
| ) | `[static]`

static Standard_EXPORT Handle_TPrsStd_AISViewer TPrsStd_AISViewer::New | ( | const TDF_Label & | access,
|  | const Handle(AIS_InteractiveContext)& | selector
| ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute TPrsStd_AISViewer::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TPrsStd_AISViewer::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TPrsStd_AISViewer::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TPrsStd_AISViewer::SetInteractiveContext | ( | const Handle(AIS_InteractiveContext)& | ctx | ) |

Standard_EXPORT void TPrsStd_AISViewer::Update | ( |  | ) | const

static Standard_EXPORT void TPrsStd_AISViewer::Update | ( | const TDF_Label & | acces | ) | `[static]`

## Field Documentation

Handle_AIS_InteractiveContext TPrsStd_AISViewer::myInteractiveContext `[private]`

The documentation for this class was generated from the following file:

- TPrsStd_AISViewer.hxx